/// <reference types="node" />
import { FormatEnum } from "sharp";
interface ProcessedImageResult {
    image: string;
    name: string;
}
interface FilesForSharp {
    image: Buffer;
    type: keyof FormatEnum;
    fileName: string;
}
export declare const converter: (files: FilesForSharp[], type: keyof FormatEnum) => Promise<ProcessedImageResult[]>;
export declare const resize: (files: FilesForSharp[], width: number, height: number) => Promise<ProcessedImageResult[]>;
export {};
